// For licensing, see: http://hydrogen.knownspace.org/license.html

/**
 * AttributeNameContainsConstraint.java
 * @author Gordon Murphy
 * Modified:
 *    Ran it through JIndent.
 *     -- Matt 26 Dec 1999
 *    Used to be InterfaceNameContainsConstraint, renamed.
 *     -- Matt 29 Dec 1999
 * 
 * Created: 199910071638
 */
package org.datamanager.constraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.AbstractEntityConstraint;
import org.datamanager.kernel.Entity;

import org.datamanager.passiveentityvalue.StringEntityValue;

public class AttributeNameContainsConstraint
    extends AbstractEntityConstraint
    {
    private String name;

    public AttributeNameContainsConstraint(String name)
        {
        this.name = name;
        }

    protected boolean describes(Entity entity)
                         throws DataManagerException
        {
        boolean temp = false;

        String entityName = entity.getName();
        Entity[] attributes = entity.getAttributes(
                                      new NameEqualsConstraint("InterfaceName"));

        for (int i = 0; i < attributes.length; i++)
            {
            StringEntityValue value = (StringEntityValue) (attributes[i].getValue());

            if (value.indexOf(name) >= 0)
                {
                temp = true;

                break;
                }
            }

        return temp;
        }
    }