// For licensing, see: http://hydrogen.knownspace.org/license.html
//
//Identifier.java
//Created: 09/22/1999 15:24
//
//Modified (10/06/2002): maa
//1) Cleaned up JavaDoc to adhere to standards and eliminate conflicts.
//
package org.datamanager.kernel;

import java.io.Serializable;

/**
 * Identifiers are used throughout the innards of the kernel as ways to
 * consistently address Entities across sessions.
 *
 * @author Benjamin Keil
 * @author Matthew Farrellee
 */
interface Identifier
    extends Serializable
    {
    /**
     * A toString() method that overrides the one in Object.
     *
     * @return A String representation of the Identifier.
     */
    public abstract String toString();
    }