// For licensing, see: http://hydrogen.knownspace.org/license.html
package org.datamanager.passiveentityvalue;

import java.util.Date;

import org.datamanager.passiveentityvalue.PassiveEntityValue;

/**
 * Objects of this class hold a Date and can be stored in an Entity
 * as they are EntityValues.
 *
 * Author: gregory rawlins
 */
public class DateEntityValue
    implements PassiveEntityValue
    {
    private Date date;

    public DateEntityValue(Date date)
        {
        this.date = date;
        }

    public Date getDate()
        {
        return date;
        }

    public boolean equals(Date value)
        {
        return date.equals(value);
        }

    public int hashCode()
        {
        return date.hashCode();
        }

    public String toString()
        {
        return date.toString();
        }
    }