// For licensing, see: http://hydrogen.knownspace.org/license.html
package org.datamanager.persistence;

import java.io.File;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * The DataAccessObject class define the standard interface for access the persistence layer.
 *
 * @author xi rao & Jason Lynn Baumgartner
 */
public interface DataAccessObject
    {
    /**
     * keep the object as a xml file in the disk
     * @param object any object
     * @param file name and path to keep the object as file on disk
     */
    public void persist(Object object, File file);

    /**
     * return the instance object which store in the xml file
     * the client need to cast the return to the correct type.
     * @param fileLocation xml file path
     * @return an instance which restore state from the xml file
     */
    public Object restore(File fileLocation);

    /**
     * keep the object as a xml file in the disk
     * @param object any object
     * @param outputStream write to output stream
     */
    public void persist(Object object, OutputStream outputStream);

    /**
     * return the instance object which store in the xml file
     * the client need to cast the return to the correct type.
     * @param inputStream read from input stream
     * @return an instance which restore state from the xml file
     */
    public Object restore(InputStream inputStream);
    }