// For licensing, see: http://hydrogen.knownspace.org/license.html
package org.datamanager.persistence.xml.fieldtypes;

import java.lang.reflect.Field;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

/**
 *
 * define the stanard interface to hanlder the pritimitve of array
 *
 * @author xi rao & Jason Lynn Baumgartner
 */
public interface FieldType
    {
    /**
     * retore the state of array of an object from xml file
     * @param field represent the object's field
     * @param object represent the instance of any type of object
     * @param arrayNode XML element for reading state
     */
    public void restorePrimitiveArray(Field field, Object object, 
                                      Node arrayNode);

    /**
     * save the state of array of an object to xml file
     * @param field represent the object's field
     * @param object represent the instance of any type of object
     * @param parent the parent xml element for saveing state
     */
    public void persistPrimitiveArray(Field field, Object object, 
                                      Element parent);

    /**
     * restore the state of primitive of an object from xml file
     * @param field field represent the object's filed
     * @param object represent the instance of any type of object
     * @param node xml element for reading state
     */
    public void setPrimitiveValue(Field field, Object object, Node node);
    }